<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/cross_ring_io_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/06/84  cross_ring_io_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in cross_ring_io_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry:  allow_cross:  02/06/84 cross_ring_io_$allow_cross
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: This entry point must be called to allow use of an I/O
<span id="L12" class="LineNr">12 </span>switch via cross-ring attachments from an outer ring.  The call must
<span id="L13" class="LineNr">13 </span>be made in the inner ring before the outer ring attempts to attach.
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>Syntax:
<span id="L17" class="LineNr">17 </span>declare cross_ring_io_$allow_cross entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span>
<span id="L18" class="LineNr">18 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L19" class="LineNr">19 </span>call cross_ring_io_$allow_cross <span class="textRainbow_lv0_p0">(</span>switch_name<span class="textRainbow_lv0_o0">,</span> ring<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>Arguments:
<span id="L23" class="LineNr">23 </span>switch_name
<span id="L24" class="LineNr">24 </span>   is the inner ring switch name.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L25" class="LineNr">25 </span>ring
<span id="L26" class="LineNr">26 </span>   is the highest validation level from which switch_name may be used.
<span id="L27" class="LineNr">27 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr">28 </span>code
<span id="L29" class="LineNr">29 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L30" class="LineNr">30 </span>
<span id="L31" class="LineNr">31 </span>
<span id="L32" class="LineNr">32 </span>Notes:  This entry may be called more than once with the same
<span id="L33" class="LineNr">33 </span>switch_name argument.  Subsequent calls are ignored.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
